Index: code/branches/menu/data/gui/layouts/NewAudioMenu.layout
===================================================================
--- code/branches/menu/data/gui/layouts/NewAudioMenu.layout	(revision 6146)
+++ code/branches/menu/data/gui/layouts/NewAudioMenu.layout	(revision 6146)
@@ -0,0 +1,77 @@
+<?xml version="1.0" encoding="UTF-8"?>
+
+<GUILayout >
+    <Window Type="TaharezLook/StaticImage" Name="orxonox/AudioBackground" >
+        <Property Name="Image" Value="set:MainMenuBackground image:Background" />
+        <Property Name="FrameEnabled" Value="False" />
+        <Property Name="InheritsAlpha" Value="False" />
+        <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+        <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1,0},{1,0}}" />
+        <Property Name="BackgroundEnabled" Value="False" />
+        <Window Type="TaharezLook/StaticText" Name="orxonox/AudioWindow" >
+            <Property Name="Text" Value="Audio" />
+            <Property Name="Alpha" Value="0.8" />
+            <Property Name="InheritsAlpha" Value="False" />
+            <Property Name="HorzFormatting" Value="HorzCentred" />
+            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+            <Property Name="VertFormatting" Value="TopAligned" />
+            <Property Name="UnifiedAreaRect" Value="{{0.25,0},{0.325,0},{0.75,0},{0.6,0}}" />
+            <Window Type="TaharezLook/StaticText" Name="orxonox/MusicVolume" >
+                <Property Name="Text" Value="Music volume" />
+                <Property Name="InheritsAlpha" Value="False" />
+                <Property Name="HorzFormatting" Value="HorzCentred" />
+                <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+                <Property Name="VertFormatting" Value="TopAligned" />
+                <Property Name="UnifiedAreaRect" Value="{{0.05,0},{0.2,0},{0.95,0},{0.45,0}}" />
+                <Window Type="TaharezLook/HorizontalScrollbar" Name="orxonox/MusicScrollbar" >
+                    <Property Name="PageSize" Value="0" />
+                    <Property Name="StepSize" Value="1" />
+                    <Property Name="OverlapSize" Value="0" />
+                    <Property Name="DocumentSize" Value="1" />
+                    <Property Name="ScrollPosition" Value="0" />
+                    <Property Name="StepSize" Value="0.1" />
+                    <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+                    <Property Name="UnifiedAreaRect" Value="{{0.02,0},{0.6,0},{0.98,0},{0.8,0}}" />
+                    <Event Name="ScrollPosChanged" Function="NewAudioMenu.AudioMusicScrollbar_clicked"/>
+                </Window>
+            </Window>
+            <Window Type="TaharezLook/StaticText" Name="orxonox/SoundVolume" >
+                <Property Name="Text" Value="Sound volume" />
+                <Property Name="InheritsAlpha" Value="False" />
+                <Property Name="HorzFormatting" Value="HorzCentred" />
+                <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+                <Property Name="VertFormatting" Value="TopAligned" />
+                <Property Name="UnifiedAreaRect" Value="{{0.05,0},{0.55,0},{0.95,0},{0.8,0}}" />
+                <Window Type="TaharezLook/HorizontalScrollbar" Name="orxonox/SoundScrollbar" >
+                    <Property Name="PageSize" Value="0" />
+                    <Property Name="StepSize" Value="1" />
+                    <Property Name="OverlapSize" Value="0" />
+                    <Property Name="DocumentSize" Value="1" />
+                    <Property Name="ScrollPosition" Value="0" />
+                    <Property Name="StepSize" Value="0.1" />
+                    <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+                    <Property Name="UnifiedAreaRect" Value="{{0.02,0},{0.6,0},{0.98,0},{0.8,0}}" />
+                    <Event Name="ScrollPosChanged" Function="NewAudioMenu.AudioSoundScrollbar_clicked"/>
+                </Window>
+            </Window>
+            <Window Type="TaharezLook/Checkbox" Name="orxonox/MusicCheckbox" >
+                <Property Name="Text" Value="Mute music" />
+                <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+                <Property Name="UnifiedAreaRect" Value="{{0.2,0},{0.85,0},{0.45,0},{0.95,0}}" />
+                <Event Name="CheckStateChanged" Function="NewAudioMenu.AudioMuteMusicCheckbox_clicked"/>
+            </Window>
+            <Window Type="TaharezLook/Checkbox" Name="orxonox/SoundCheckbox" >
+                <Property Name="Text" Value="Mute sound" />
+                <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+                <Property Name="UnifiedAreaRect" Value="{{0.6,0},{0.85,0},{0.85,0},{0.95,0}}" />
+                <Event Name="CheckStateChanged" Function="NewAudioMenu.AudioMuteSoundCheckbox_clicked"/>
+            </Window>
+        </Window>
+        <Window Type="TaharezLook/Button" Name="orxonox/AudioBackButton" >
+            <Property Name="Text" Value="Back" />
+            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.625,0},{0.6,0},{0.675,0}}" />
+            <Event Name="Clicked" Function="NewAudioMenu.AudioBackButton_clicked"/>
+        </Window>
+    </Window>
+</GUILayout>
Index: code/branches/menu/data/gui/layouts/NewControlsMenu.layout
===================================================================
--- code/branches/menu/data/gui/layouts/NewControlsMenu.layout	(revision 6146)
+++ code/branches/menu/data/gui/layouts/NewControlsMenu.layout	(revision 6146)
@@ -0,0 +1,40 @@
+<?xml version="1.0" encoding="UTF-8"?>
+
+<GUILayout >
+    <Window Type="TaharezLook/StaticImage" Name="orxonox/ControlsBackground" >
+        <Property Name="Image" Value="set:MainMenuBackground image:Background" />
+        <Property Name="FrameEnabled" Value="False" />
+        <Property Name="InheritsAlpha" Value="False" />
+        <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+        <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1,0},{1,0}}" />
+        <Property Name="BackgroundEnabled" Value="False" />
+        <Window Type="TaharezLook/StaticText" Name="orxonox/ControlsWindow" >
+            <Property Name="Text" Value="Controls" />
+            <Property Name="Alpha" Value="0.8" />
+            <Property Name="InheritsAlpha" Value="False" />
+            <Property Name="HorzFormatting" Value="HorzCentred" />
+            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+            <Property Name="VertFormatting" Value="TopAligned" />
+            <Property Name="UnifiedAreaRect" Value="{{0.25,0},{0.325,0},{0.75,0},{0.6,0}}" />
+            <Window Type="TaharezLook/Button" Name="orxonox/MouseControlsButton" >
+                <Property Name="Text" Value="Mouse controls" />
+                <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+                <Property Name="UnifiedAreaRect" Value="{{0.3,0},{0.318181,0},{0.7,0},{0.5,0}}" />
+                <Event Name="Clicked" Function="NewControlsMenu.ControlsMouseControlsButton_clicked"/>
+            </Window>
+            <Window Type="TaharezLook/Button" Name="orxonox/KeyboardControlsButton" >
+                <Property Name="Text" Value="Keyboard controls" />
+                <Property Name="Disabled" Value="True" />
+                <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+                <Property Name="UnifiedAreaRect" Value="{{0.3,0},{0.590909,0},{0.7,0},{0.772727,0}}" />
+                <Event Name="Clicked" Function="NewControlsMenu.ControlsKeyboardControlsButton_clicked"/>
+            </Window>
+        </Window>
+        <Window Type="TaharezLook/Button" Name="orxonox/ControlsBackButton" >
+            <Property Name="Text" Value="Back" />
+            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.625,0},{0.6,0},{0.675,0}}" />
+            <Event Name="Clicked" Function="NewControlsMenu.ControlsBackButton_clicked"/>
+        </Window>
+    </Window>
+</GUILayout>
Index: code/branches/menu/data/gui/layouts/NewCreditsMenu.layout
===================================================================
--- code/branches/menu/data/gui/layouts/NewCreditsMenu.layout	(revision 6146)
+++ code/branches/menu/data/gui/layouts/NewCreditsMenu.layout	(revision 6146)
@@ -0,0 +1,41 @@
+<?xml version="1.0" encoding="UTF-8"?>
+
+<GUILayout >
+    <Window Type="TaharezLook/StaticImage" Name="orxonox/CreditsBackground" >
+        <Property Name="Image" Value="set:MainMenuBackground image:Background" />
+        <Property Name="FrameEnabled" Value="False" />
+        <Property Name="InheritsAlpha" Value="False" />
+        <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+        <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1,0},{1,0}}" />
+        <Property Name="BackgroundEnabled" Value="False" />
+        <Window Type="TaharezLook/StaticText" Name="orxonox/CreditsWindow" >
+            <Property Name="Text" Value="Credits" />
+            <Property Name="Alpha" Value="0.8" />
+            <Property Name="HorzFormatting" Value="HorzCentred" />
+            <Property Name="InheritsAlpha" Value="False" />
+            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+            <Property Name="VertFormatting" Value="TopAligned" />
+            <Property Name="UnifiedAreaRect" Value="{{0.25,0},{0.325,0},{0.75,0},{0.6,0}}" />
+            <Window Type="TaharezLook/StaticText" Name="orxonox/CreditsText" >
+                <Property Name="Text">Orxonox version 0.0.3
+
+Programming Language:  C++ - lua - tcl
+Environment:  OpenAL - Ogre - OIS - CEGUI - enet - ODE
+Licence:  GNU General Public Licence - Creative Commons
+
+http://www.orxonox.net</Property>
+                <Property Name="InheritsAlpha" Value="False" />
+                <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+                <Property Name="HorzFormatting" Value="HorzCentred" />
+                <Property Name="VertFormatting" Value="TopAligned" />
+                <Property Name="UnifiedAreaRect" Value="{{0.05,0},{0.2,0},{0.95,0},{0.9,0}}" />
+            </Window>
+        </Window>
+        <Window Type="TaharezLook/Button" Name="orxonox/CreditsBackButton" >
+            <Property Name="Text" Value="Back" />
+            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.625,0},{0.6,0},{0.675,0}}" />
+            <Event Name="Clicked" Function="NewCreditsMenu.CreditsBackButton_clicked"/>
+        </Window>
+    </Window>
+</GUILayout>
Index: code/branches/menu/data/gui/layouts/NewGameplayMenu.layout
===================================================================
--- code/branches/menu/data/gui/layouts/NewGameplayMenu.layout	(revision 6146)
+++ code/branches/menu/data/gui/layouts/NewGameplayMenu.layout	(revision 6146)
@@ -0,0 +1,68 @@
+<?xml version="1.0" encoding="UTF-8"?>
+
+<GUILayout >
+    <Window Type="TaharezLook/StaticImage" Name="orxonox/GameplayBackground" >
+        <Property Name="Image" Value="set:MainMenuBackground image:Background" />
+        <Property Name="FrameEnabled" Value="False" />
+        <Property Name="InheritsAlpha" Value="False" />
+        <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+        <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1,0},{1,0}}" />
+        <Property Name="BackgroundEnabled" Value="False" />
+        <Window Type="TaharezLook/StaticText" Name="orxonox/GameplayWindow" >
+            <Property Name="Text" Value="Gameplay" />
+            <Property Name="Alpha" Value="0.8" />
+            <Property Name="InheritsAlpha" Value="False" />
+            <Property Name="HorzFormatting" Value="HorzCentred" />
+            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+            <Property Name="VertFormatting" Value="TopAligned" />
+            <Property Name="UnifiedAreaRect" Value="{{0.25,0},{0.325,0},{0.75,0},{0.6,0}}" />
+            <Window Type="TaharezLook/StaticText" Name="orxonox/Difficulty" >
+                <Property Name="Text" Value="Difficulty" />
+                <Property Name="InheritsAlpha" Value="False" />
+                <Property Name="HorzFormatting" Value="HorzCentred" />
+                <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+                <Property Name="VertFormatting" Value="TopAligned" />
+                <Property Name="UnifiedAreaRect" Value="{{0.05,0},{0.2,0},{0.475,0},{0.9,0}}" />
+                <Window Type="TaharezLook/RadioButton" Name="orxonox/DifficultyEasyButton" >
+                    <Property Name="Text" Value="Easy" />
+                    <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+                    <Property Name="UnifiedAreaRect" Value="{{0.325,0},{0.325,0},{0.675,0},{0.45,0}}" />
+                    <Event Name="SelectStateChanged" Function="NewGameplayMenu.GameplayDifficultyEasyButton_clicked"/>
+                </Window>
+                <Window Type="TaharezLook/RadioButton" Name="orxonox/DifficultyNormalButton" >
+                    <Property Name="Text" Value="Normal" />
+                    <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+                    <Property Name="UnifiedAreaRect" Value="{{0.325,0},{0.525,0},{0.675,0},{0.65,0}}" />
+                    <Event Name="SelectStateChanged" Function="NewGameplayMenu.GameplayDifficultyNormalButton_clicked"/>
+                </Window>
+                <Window Type="TaharezLook/RadioButton" Name="orxonox/DifficultyHardButton" >
+                    <Property Name="Text" Value="Hard" />
+                    <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+                    <Property Name="UnifiedAreaRect" Value="{{0.325,0},{0.725,0},{0.675,0},{0.85,0}}" />
+                    <Event Name="SelectStateChanged" Function="NewGameplayMenu.GameplayDifficultyHardButton_clicked"/>
+                </Window>
+            </Window>
+            <Window Type="TaharezLook/StaticText" Name="orxonox/Theme" >
+                <Property Name="Text" Value="Theme" />
+                <Property Name="InheritsAlpha" Value="False" />
+                <Property Name="HorzFormatting" Value="HorzCentred" />
+                <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+                <Property Name="VertFormatting" Value="TopAligned" />
+                <Property Name="UnifiedAreaRect" Value="{{0.525,0},{0.2,0},{0.95,0},{0.9,0}}" />
+                <Window Type="TaharezLook/Combobox" Name="orxonox/ThemeCombobox" >
+                    <Property Name="AlwaysOnTop" Value="True" />
+                    <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+                    <Property Name="UnifiedAreaRect" Value="{{0.05,0},{0.21,0},{0.95,0},{0.9,0}}" />
+                    <Property Name="MaxEditTextLength" Value="1073741823" />
+                    <Property Name="ReadOnly" Value="True" />
+                </Window>
+            </Window>
+        </Window>
+        <Window Type="TaharezLook/Button" Name="orxonox/GameplayBackButton" >
+            <Property Name="Text" Value="Back" />
+            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.625,0},{0.6,0},{0.675,0}}" />
+            <Event Name="Clicked" Function="NewGameplayMenu.GameplayBackButton_clicked"/>
+        </Window>
+    </Window>
+</GUILayout>
Index: code/branches/menu/data/gui/layouts/NewGraphicsMenu.layout
===================================================================
--- code/branches/menu/data/gui/layouts/NewGraphicsMenu.layout	(revision 6146)
+++ code/branches/menu/data/gui/layouts/NewGraphicsMenu.layout	(revision 6146)
@@ -0,0 +1,77 @@
+<?xml version="1.0" encoding="UTF-8"?>
+
+<GUILayout >
+    <Window Type="TaharezLook/StaticImage" Name="orxonox/GraphicsBackground" >
+        <Property Name="Image" Value="set:MainMenuBackground image:Background" />
+        <Property Name="FrameEnabled" Value="False" />
+        <Property Name="InheritsAlpha" Value="False" />
+        <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+        <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1,0},{1,0}}" />
+        <Property Name="BackgroundEnabled" Value="False" />
+        <Window Type="TaharezLook/StaticText" Name="orxonox/GraphicsWindow" >
+            <Property Name="Text" Value="Graphics" />
+            <Property Name="Alpha" Value="0.8" />
+            <Property Name="InheritsAlpha" Value="False" />
+            <Property Name="HorzFormatting" Value="HorzCentred" />
+            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+            <Property Name="VertFormatting" Value="TopAligned" />
+            <Property Name="UnifiedAreaRect" Value="{{0.25,0},{0.325,0},{0.75,0},{0.6,0}}" />
+            <Window Type="TaharezLook/StaticText" Name="orxonox/Resolution" >
+                <Property Name="Text" Value="Resolution" />
+                <Property Name="InheritsAlpha" Value="False" />
+                <Property Name="HorzFormatting" Value="HorzCentred" />
+                <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+                <Property Name="VertFormatting" Value="TopAligned" />
+                <Property Name="UnifiedAreaRect" Value="{{0.05,0},{0.2,0},{0.475,0},{0.9,0}}" />
+                <Window Type="TaharezLook/Combobox" Name="orxonox/ResolutionCombobox" >
+                    <Property Name="ReadOnly" Value="True" />
+                    <Property Name="AlwaysOnTop" Value="True" />
+                    <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+                    <Property Name="UnifiedAreaRect" Value="{{0.05,0},{0.21,0},{0.95,0},{0.9,0}}" />
+                    <Property Name="MaxEditTextLength" Value="1073741823" />
+                </Window>
+                <Window Type="TaharezLook/Checkbox" Name="orxonox/FullscreenCheckbox" >
+                    <Property Name="Text" Value="Fullscreen" />
+                    <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+                    <Property Name="UnifiedAreaRect" Value="{{0.275,0},{0.725,0},{0.725,0},{0.85,0}}" />
+                    <Event Name="CheckStateChanged" Function="NewGraphicsMenu.GraphicsFullscreenCheckbox_clicked"/>
+                </Window>
+            </Window>
+            <Window Type="TaharezLook/StaticText" Name="orxonox/Brightness" >
+                <Property Name="Text" Value="Brightness" />
+                <Property Name="InheritsAlpha" Value="False" />
+                <Property Name="HorzFormatting" Value="HorzCentred" />
+                <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+                <Property Name="VertFormatting" Value="TopAligned" />
+                <Property Name="UnifiedAreaRect" Value="{{0.525,0},{0.2,0},{0.95,0},{0.45,0}}" />
+                <Window Type="TaharezLook/HorizontalScrollbar" Name="orxonox/BrightnessScrollbar" >
+                    <Property Name="PageSize" Value="0" />
+                    <Property Name="StepSize" Value="0.1" />
+                    <Property Name="OverlapSize" Value="0" />
+                    <Property Name="DocumentSize" Value="1" />
+                    <Property Name="ScrollPosition" Value="0" />
+                    <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+                    <Property Name="UnifiedAreaRect" Value="{{0.05,0},{0.6,0},{0.95,0},{0.8,0}}" />
+                    <Event Name="ScrollPosChanged" Function="NewGraphicsMenu.GraphicsBrightnessScrollbar_clicked" />
+                </Window>
+            </Window>
+            <Window Type="TaharezLook/StaticText" Name="orxonox/GraphicsInfo" >
+                <Property Name="Text" >Changes in graphics
+settings require
+a game restart.</Property>
+                <Property Name="TextColours" Value="FF4444FF" />
+                <Property Name="InheritsAlpha" Value="False" />
+                <Property Name="HorzFormatting" Value="HorzCentred" />
+                <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+                <Property Name="VertFormatting" Value="TopAligned" />
+                <Property Name="UnifiedAreaRect" Value="{{0.525,0},{0.55,0},{0.95,0},{0.9,0}}" />
+            </Window>
+        </Window>
+        <Window Type="TaharezLook/Button" Name="orxonox/GraphicsBackButton" >
+            <Property Name="Text" Value="Back" />
+            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.625,0},{0.6,0},{0.675,0}}" />
+            <Event Name="Clicked" Function="NewGraphicsMenu.GraphicsBackButton_clicked"/>
+        </Window>
+    </Window>
+</GUILayout>
Index: code/branches/menu/data/gui/layouts/NewMainMenu.layout
===================================================================
--- code/branches/menu/data/gui/layouts/NewMainMenu.layout	(revision 6146)
+++ code/branches/menu/data/gui/layouts/NewMainMenu.layout	(revision 6146)
@@ -0,0 +1,48 @@
+<?xml version="1.0" encoding="UTF-8"?>
+
+<GUILayout >
+    <Window Type="TaharezLook/StaticImage" Name="orxonox/MainMenuBackground" >
+        <Property Name="Image" Value="set:MainMenuBackground image:Background" />
+        <Property Name="FrameEnabled" Value="False" />
+        <Property Name="InheritsAlpha" Value="False" />
+        <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+        <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1.02125,0},{1.02167,0}}" />
+        <Property Name="BackgroundEnabled" Value="False" />
+        <Window Type="TaharezLook/Button" Name="orxonox/QuickGameTestButton" >
+            <Property Name="Text" Value="QUICK GAME TEST" />
+            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.25,0},{0.6,0},{0.3,0}}" />
+            <Event Name="Clicked" Function="NewMainMenu.QuickGameTestButton_clicked"/>
+        </Window>
+        <Window Type="TaharezLook/Button" Name="orxonox/SingleplayerButton" >
+            <Property Name="Text" Value="Singleplayer" />
+            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.325,0},{0.6,0},{0.375,0}}" />
+            <Event Name="Clicked" Function="NewMainMenu.SingleplayerButton_clicked"/>
+        </Window>
+        <Window Type="TaharezLook/Button" Name="orxonox/MultiplayerButton" >
+            <Property Name="Text" Value="Multiplayer" />
+            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.4,0},{0.6,0},{0.45,0}}" />
+            <Event Name="Clicked" Function="NewMainMenu.MultiplayerButton_clicked"/>
+        </Window>
+        <Window Type="TaharezLook/Button" Name="orxonox/SettingsButton" >
+            <Property Name="Text" Value="Settings" />
+            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.475,0},{0.6,0},{0.525,0}}" />
+            <Event Name="Clicked" Function="NewMainMenu.SettingsButton_clicked"/>
+        </Window>
+        <Window Type="TaharezLook/Button" Name="orxonox/CreditsButton" >
+            <Property Name="Text" Value="Credits" />
+            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.55,0},{0.6,0},{0.6,0}}" />
+            <Event Name="Clicked" Function="NewMainMenu.CreditsButton_clicked"/>
+        </Window>
+        <Window Type="TaharezLook/Button" Name="orxonox/ExitButton" >
+            <Property Name="Text" Value="Exit" />
+            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.625,0},{0.6,0},{0.675,0}}" />
+            <Event Name="Clicked" Function="NewMainMenu.ExitButton_clicked"/>
+        </Window>
+    </Window>
+</GUILayout>
Index: code/branches/menu/data/gui/layouts/NewMouseControlsMenu.layout
===================================================================
--- code/branches/menu/data/gui/layouts/NewMouseControlsMenu.layout	(revision 6146)
+++ code/branches/menu/data/gui/layouts/NewMouseControlsMenu.layout	(revision 6146)
@@ -0,0 +1,66 @@
+<?xml version="1.0" encoding="UTF-8"?>
+
+<GUILayout >
+    <Window Type="TaharezLook/StaticImage" Name="orxonox/MouseControlsBackground" >
+        <Property Name="Image" Value="set:MainMenuBackground image:Background" />
+        <Property Name="FrameEnabled" Value="False" />
+        <Property Name="InheritsAlpha" Value="False" />
+        <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+        <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1,0},{1,0}}" />
+        <Property Name="BackgroundEnabled" Value="False" />
+        <Window Type="TaharezLook/StaticText" Name="orxonox/MouseControlsWindow" >
+            <Property Name="Text" Value="Mouse controls" />
+            <Property Name="Alpha" Value="0.8" />
+            <Property Name="InheritsAlpha" Value="False" />
+            <Property Name="HorzFormatting" Value="HorzCentred" />
+            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+            <Property Name="VertFormatting" Value="TopAligned" />
+            <Property Name="UnifiedAreaRect" Value="{{0.25,0},{0.325,0},{0.75,0},{0.6,0}}" />
+            <Window Type="TaharezLook/StaticText" Name="orxonox/MouseSensitivity" >
+                <Property Name="Text" Value="Mouse sensitivity" />
+                <Property Name="InheritsAlpha" Value="False" />
+                <Property Name="HorzFormatting" Value="HorzCentred" />
+                <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+                <Property Name="VertFormatting" Value="TopAligned" />
+                <Property Name="UnifiedAreaRect" Value="{{0.05,0},{0.2,0},{0.95,0},{0.45,0}}" />
+                <Window Type="TaharezLook/HorizontalScrollbar" Name="orxonox/MouseScrollbar" >
+                    <Property Name="PageSize" Value="0" />
+                    <Property Name="StepSize" Value="1" />
+                    <Property Name="OverlapSize" Value="0" />
+                    <Property Name="DocumentSize" Value="1" />
+                    <Property Name="ScrollPosition" Value="0" />
+                    <Property Name="StepSize" Value="0.1" />
+                    <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+                    <Property Name="UnifiedAreaRect" Value="{{0.02,0},{0.6,0},{0.98,0},{0.8,0}}" />
+                    <Event Name="ScrollPosChanged" Function="NewMouseControlsMenu.MouseControlsMouseScrollbar_clicked" />
+                </Window>
+            </Window>
+            <Window Type="TaharezLook/StaticText" Name="orxonox/MouseControlMode" >
+                <Property Name="Text" Value="Mouse control mode" />
+                <Property Name="InheritsAlpha" Value="False" />
+                <Property Name="HorzFormatting" Value="HorzCentred" />
+                <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+                <Property Name="VertFormatting" Value="TopAligned" />
+                <Property Name="UnifiedAreaRect" Value="{{0.05,0},{0.55,0},{0.95,0},{0.9,0}}" />
+                <Window Type="TaharezLook/RadioButton" Name="orxonox/MouseControlButton1" >
+                    <Property Name="Text" Value="Default control mode" />
+                    <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+                    <Property Name="UnifiedAreaRect" Value="{{0.03,0},{0.6,0},{0.47,0},{0.8,0}}" />
+                    <Event Name="SelectStateChanged" Function="NewMouseControlsMenu.MouseControlsDefaultButton_clicked" />
+                </Window>
+                <Window Type="TaharezLook/RadioButton" Name="orxonox/MouseControlButton2" >
+                    <Property Name="Text" Value=".............................................." />
+                    <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+                    <Property Name="UnifiedAreaRect" Value="{{0.53,0},{0.6,0},{0.97,0},{0.8,0}}" />
+                    <Event Name="SelectStateChanged" Function="NewMouseControlsMenu.MouseControls_______Button_clicked" />
+                </Window>
+            </Window>
+        </Window>
+        <Window Type="TaharezLook/Button" Name="orxonox/MouseControlsBackButton" >
+            <Property Name="Text" Value="Back" />
+            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.625,0},{0.6,0},{0.675,0}}" />
+            <Event Name="Clicked" Function="NewMouseControlsMenu.MouseControlsBackButton_clicked"/>
+        </Window>
+    </Window>
+</GUILayout>
Index: code/branches/menu/data/gui/layouts/NewMultiplayerMenu.layout
===================================================================
--- code/branches/menu/data/gui/layouts/NewMultiplayerMenu.layout	(revision 6146)
+++ code/branches/menu/data/gui/layouts/NewMultiplayerMenu.layout	(revision 6146)
@@ -0,0 +1,55 @@
+<?xml version="1.0" encoding="UTF-8"?>
+
+<GUILayout >
+    <Window Type="TaharezLook/StaticImage" Name="orxonox/MultiplayerBackground" >
+        <Property Name="Image" Value="set:MainMenuBackground image:Background" />
+        <Property Name="FrameEnabled" Value="False" />
+        <Property Name="InheritsAlpha" Value="False" />
+        <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+        <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1,0},{1,0}}" />
+        <Property Name="BackgroundEnabled" Value="False" />
+        <Window Type="TaharezLook/StaticText" Name="orxonox/MultiplayerWindow" >
+            <Property Name="Text" Value="Multiplayer" />
+            <Property Name="Alpha" Value="0.8" />
+            <Property Name="InheritsAlpha" Value="False" />
+            <Property Name="HorzFormatting" Value="HorzCentred" />
+            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+            <Property Name="VertFormatting" Value="TopAligned" />
+            <Property Name="UnifiedAreaRect" Value="{{0.25,0},{0.325,0},{0.75,0},{0.6,0}}" />
+            <Window Type="TaharezLook/Listbox" Name="orxonox/MultiplayerLevelListbox" >
+                <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+                <Property Name="UnifiedAreaRect" Value="{{0.05,0},{0.2,0},{0.95,0},{0.8,0}}" />
+            </Window>
+            <Window Type="TaharezLook/RadioButton" Name="orxonox/MultiplayerJoinButton" >
+                <Property Name="Text" Value="Join" />
+                <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+                <Property Name="UnifiedAreaRect" Value="{{0.1,0},{0.85,0},{0.3,0},{0.95,0}}" />
+                <Event Name="SelectStateChanged" Function="NewMultiplayerMenu.MultiplayerJoinButton_clicked"/>
+            </Window>
+            <Window Type="TaharezLook/RadioButton" Name="orxonox/MultiplayerHostButton" >
+                <Property Name="Text" Value="Host" />
+                <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+                <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.85,0},{0.6,0},{0.95,0}}" />
+                <Event Name="SelectStateChanged" Function="NewMultiplayerMenu.MultiplayerHostButton_clicked"/>
+            </Window>
+            <Window Type="TaharezLook/RadioButton" Name="orxonox/MultiplayerDedicatedButton" >
+                <Property Name="Text" Value="Dedicated" />
+                <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+                <Property Name="UnifiedAreaRect" Value="{{0.7,0},{0.85,0},{0.9,0},{0.95,0}}" />
+                <Event Name="SelectStateChanged" Function="NewMultiplayerMenu.MultiplayerDedicatedButton_clicked"/>
+            </Window>
+        </Window>
+        <Window Type="TaharezLook/Button" Name="orxonox/MultiplayerStartButton" >
+            <Property Name="Text" Value="Start" />
+            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.2875,0},{0.625,0},{0.4875,0},{0.675,0}}" />
+            <Event Name="Clicked" Function="NewMultiplayerMenu.MultiplayerStartButton_clicked"/>
+        </Window>
+        <Window Type="TaharezLook/Button" Name="orxonox/MultiplayerBackButton" >
+            <Property Name="Text" Value="Back" />
+            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.5125,0},{0.625,0},{0.7125,0},{0.675,0}}" />
+            <Event Name="Clicked" Function="NewMultiplayerMenu.MultiplayerBackButton_clicked"/>
+        </Window>
+    </Window>
+</GUILayout>
Index: code/branches/menu/data/gui/layouts/NewSettingsMenu.layout
===================================================================
--- code/branches/menu/data/gui/layouts/NewSettingsMenu.layout	(revision 6146)
+++ code/branches/menu/data/gui/layouts/NewSettingsMenu.layout	(revision 6146)
@@ -0,0 +1,65 @@
+<?xml version="1.0" encoding="UTF-8"?>
+
+<GUILayout >
+    <Window Type="TaharezLook/StaticImage" Name="orxonox/SettingsBackground" >
+        <Property Name="Image" Value="set:MainMenuBackground image:Background" />
+        <Property Name="InheritsAlpha" Value="False" />
+        <Property Name="FrameEnabled" Value="False" />
+        <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+        <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1,0},{1,0}}" />
+        <Property Name="BackgroundEnabled" Value="False" />
+
+        <Window Type="TaharezLook/StaticText" Name="orxonox/SettingsWindow" >
+            <Property Name="Text" Value="Settings" />
+            <Property Name="Alpha" Value="0.8" />
+            <Property Name="InheritsAlpha" Value="False" />
+            <Property Name="HorzFormatting" Value="HorzCentred" />
+            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+            <Property Name="VertFormatting" Value="TopAligned" />
+            <Property Name="UnifiedAreaRect" Value="{{0.25,0},{0.325,0},{0.75,0},{0.6,0}}" />
+            <Window Type="TaharezLook/Button" Name="orxonox/GameplayButton" >
+                <Property Name="Text" Value="Gameplay" />
+                <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+                <Property Name="UnifiedAreaRect" Value="{{0.05,0},{0.181818,0},{0.45,0},{0.363636,0}}" />
+                <Event Name="Clicked" Function="NewSettingsMenu.SettingsGameplayButton_clicked"/>
+            </Window>
+            <Window Type="TaharezLook/Button" Name="orxonox/MultiplayerOptionsButton" >
+                <Property Name="Text" Value="Multiplayer options" />
+                <Property Name="Disabled" Value="True" />
+                <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+                <Property Name="UnifiedAreaRect" Value="{{0.05,0},{0.454545,0},{0.45,0},{0.636363,0}}" />
+                <Event Name="Clicked" Function="NewSettingsMenu.SettingsMultiplayerOptionsButton_clicked"/>
+            </Window>
+            <Window Type="TaharezLook/Button" Name="orxonox/ControlsButton" >
+                <Property Name="Text" Value="Controls" />
+                <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+                <Property Name="UnifiedAreaRect" Value="{{0.05,0},{0.727272,0},{0.45,0},{0.909090,0}}" />
+                <Event Name="Clicked" Function="NewSettingsMenu.SettingsControlsButton_clicked"/>
+            </Window>
+            <Window Type="TaharezLook/Button" Name="orxonox/GraphicsButton" >
+                <Property Name="Text" Value="Graphics" />
+                <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+                <Property Name="UnifiedAreaRect" Value="{{0.55,0},{0.181818,0},{0.95,0},{0.363636,0}}" />
+                <Event Name="Clicked" Function="NewSettingsMenu.SettingsGraphicsButton_clicked"/>
+            </Window>
+            <Window Type="TaharezLook/Button" Name="orxonox/AudioButton" >
+                <Property Name="Text" Value="Audio" />
+                <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+                <Property Name="UnifiedAreaRect" Value="{{0.55,0},{0.454545,0},{0.95,0},{0.636363,0}}" />
+                <Event Name="Clicked" Function="NewSettingsMenu.SettingsAudioButton_clicked"/>
+            </Window>
+            <Window Type="TaharezLook/Button" Name="orxonox/ResetSettingsButton" >
+                <Property Name="Text" Value="Reset settings" />
+                <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+                <Property Name="UnifiedAreaRect" Value="{{0.55,0},{0.727272,0},{0.95,0},{0.909090,0}}" />
+                <Event Name="Clicked" Function="NewSettingsMenu.SettingsResetSettingsButton_clicked"/>
+            </Window>
+        </Window>
+        <Window Type="TaharezLook/Button" Name="orxonox/SettingsBackButton" >
+            <Property Name="Text" Value="Back" />
+            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.625,0},{0.6,0},{0.675,0}}" />
+            <Event Name="Clicked" Function="NewSettingsMenu.SettingsBackButton_clicked"/>
+        </Window>
+    </Window>
+</GUILayout>
Index: code/branches/menu/data/gui/layouts/NewSingleplayerMenu.layout
===================================================================
--- code/branches/menu/data/gui/layouts/NewSingleplayerMenu.layout	(revision 6146)
+++ code/branches/menu/data/gui/layouts/NewSingleplayerMenu.layout	(revision 6146)
@@ -0,0 +1,37 @@
+<?xml version="1.0" encoding="UTF-8"?>
+
+<GUILayout >
+    <Window Type="TaharezLook/StaticImage" Name="orxonox/SingleplayerBackground" >
+        <Property Name="Image" Value="set:MainMenuBackground image:Background" />
+        <Property Name="FrameEnabled" Value="False" />
+        <Property Name="InheritsAlpha" Value="False" />
+        <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+        <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1,0},{1,0}}" />
+        <Property Name="BackgroundEnabled" Value="False" />
+        <Window Type="TaharezLook/StaticText" Name="orxonox/SingleplayerWindow" >
+            <Property Name="Text" Value="Singleplayer" />
+            <Property Name="Alpha" Value="0.8" />
+            <Property Name="InheritsAlpha" Value="False" />
+            <Property Name="HorzFormatting" Value="HorzCentred" />
+            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+            <Property Name="VertFormatting" Value="TopAligned" />
+            <Property Name="UnifiedAreaRect" Value="{{0.25,0},{0.325,0},{0.75,0},{0.6,0}}" />
+            <Window Type="TaharezLook/Listbox" Name="orxonox/SingleplayerLevelListbox" >
+                <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+                <Property Name="UnifiedAreaRect" Value="{{0.05,0},{0.2,0},{0.95,0},{0.9,0}}" />
+            </Window>
+        </Window>
+        <Window Type="TaharezLook/Button" Name="orxonox/SingleplayerStartButton" >
+            <Property Name="Text" Value="Start" />
+            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.2875,0},{0.625,0},{0.4875,0},{0.675,0}}" />
+            <Event Name="Clicked" Function="NewSingleplayerMenu.SingleplayerStartButton_clicked"/>
+        </Window>
+        <Window Type="TaharezLook/Button" Name="orxonox/SingleplayerBackButton" >
+            <Property Name="Text" Value="Back" />
+            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.5125,0},{0.625,0},{0.7125,0},{0.675,0}}" />
+            <Event Name="Clicked" Function="NewSingleplayerMenu.SingleplayerBackButton_clicked"/>
+        </Window>
+    </Window>
+</GUILayout>
